#
# spec file for package yast2-core-wfm (Version 2.4.31)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake dejagnu expect gpp libgpp libscr libscr-devel libtool liby2 liby2-devel libycp libycp-devel tcl ydoc
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db dejagnu devs diffutils e2fsprogs expect file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libscr libscr-devel libtool liby2 liby2-devel libycp libycp-devel libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit tcl texinfo textutils timezone unzip util-linux vim ydoc

Name:         yast2-core-wfm
Copyright:    (c) 2000 SuSE GmbH
Group:        System Environment/YaST
Provides:	yast2-core-translator
Obsoletes:	yast2-core-translator
Summary:      YaST2 - workflow manager
Version:      2.4.31
Release:      16
Source0:      yast2-core-wfm-2.4.31.tar.bz2

%description
The workflow manager administers the various modules of YaST2
and controls their communication

SuSE series: yast

%package devel
Summary:      YaST2 - linkfiles for workflow manager (for developers)
Version:      2.4.31
Release:      16
Group:        Development/Libraries
Provides:	y2wfm
Obsoletes:	y2wfm

%description devel
This package contains link files of the YaST2 workflow manager
and is only needed by YaST2 developers.

SuSE series: yast

%prep
%setup -n yast2-core-wfm-2.4.31

%build
aclocal
libtoolize --force --automake --copy
autoheader
automake --add-missing --copy
autoconf
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
%{?suse_update_config:%{suse_update_config -f}}
./configure
make
make check

%install
make install-strip
strip --strip-debug /usr/lib/YaST2/plugin/libpy2wfm.so.2.0.0

%files
/usr/lib/YaST2/plugin/libpy2wfm.so.*

%files devel
/usr/lib/YaST2/plugin/libpy2wfm.so
/usr/lib/YaST2/plugin/libpy2wfm.la
%dir /usr/include/YaST2/wfm
/usr/include/YaST2/wfm/*.h
%dir /usr/share/doc/packages/yast2-core-wfm
/usr/share/doc/packages/yast2-core-wfm/*

%changelog -n yast2-core-wfm
* Mon Sep 24 2001 - kkaempf@suse.de
- split language and encoding to adapt to new gettext behaviour.
* Fri Sep 21 2001 - kkaempf@suse.de
- yast2-core-translator was merged, adapt .spec file (11107).
* Thu Sep 20 2001 - kkaempf@suse.de
- add GetLanguage() almost like in UI (10891).
- add testcase for SetLanguage/GetLanguage.
* Tue Sep 18 2001 - kkaempf@suse.de
- explicitly pass encoding to SetLanguage to differentiate between
  curses (ISO-encoding) and qt (UTF8-encoding) (#10807).
* Tue Sep 11 2001 - arvin@suse.de
- enabled testsuite and fixed testsuite
* Mon Sep 10 2001 - kkaempf@suse.de
- return proper value from SetLanguage.
* Thu Aug 30 2001 - kkaempf@suse.de
- adapt {set,get}Textdomain interface.
* Wed Aug 29 2001 - arvin@suse.de
- fixed use of findy2
* Mon Aug 27 2001 - kkaempf@suse.de
- fix import starting with "./"
* Tue Aug 21 2001 - kkaempf@suse.de
- make wfm reentrant. Dont keep static pointers, use member values.
- correct callModule, dont create a client here, the Y2Component
  does it all.
- make proper use of YCPError().
* Mon Aug 20 2001 - arvin@suse.de
- added support to set name of scr component
* Fri Aug 17 2001 - arvin@suse.de
- fixed support for plural locales
* Thu Aug 16 2001 - arvin@suse.de
- fixed for gcc 3.0
* Thu Aug 16 2001 - arvin@suse.de
- support for plural locales
* Wed Aug 15 2001 - kkaempf@suse.de
- implement "import" functionality.
* Fri Aug 10 2001 - kkaempf@suse.de
- dont check parameter types for WFM::Execute()
* Fri Aug 10 2001 - arvin@suse.de
- fixed use of findy2
* Sat Jul 28 2001 - kkaempf@suse.de
- drop const from evaluateLocale()
* Fri Jul 27 2001 - kkaempf@suse.de
- drop checking of last Execute() arg, let system agent handle this
- dont set locales to UI, evaluate them in WFM
* Thu Jul 26 2001 - kkaempf@suse.de
- evaluate all parameters, reporting errors
  never expect YCPError from evaluate
* Thu Jul 26 2001 - kkaempf@suse.de
- evaluate parameters for SCR()
* Thu Jul 26 2001 - kkaempf@suse.de
- fixed testsuite
* Wed Jul 25 2001 - kkaempf@suse.de
- drop milestone calls
* Wed Jul 25 2001 - kkaempf@suse.de
- implement evaluateXX() functions properly
* Wed Jul 18 2001 - arvin@suse.de
- removed old/obsolete function calls
* Tue Jul 17 2001 - kkaempf@suse.de
- enable callback between UI and WFM
* Mon Jun 25 2001 - arvin@suse.de
- implement interface to system agent (functions Read, Write and
  Execute)
* Mon Jun 25 2001 - kkaempf@suse.de
- implement translator in WFM
* Tue Jun 19 2001 - kkaempf@suse.de
- implement callback mechanism
- adapt to new autoconf/automake
- Version 2.4.1
* Thu May 17 2001 - arvin@suse.de
- fixed setting of filename (used for debugger)
* Tue May 08 2001 - kkaempf@suse.de
- updated testcase
* Mon Mar 26 2001 - kkaempf@suse.de
- set current_fiel for CallFunction properly
* Fri Mar 23 2001 - arvin@suse.de
- moved documentation to packages/yast2-core-wfm
* Mon Mar 12 2001 - arvin@suse.de
- Pass fullname to ui and scr interpreter.
* Fri Mar 09 2001 - arvin@suse.de
- Strip debugging information from plugins in package.
* Wed Mar 07 2001 - kkaempf@suse.de
- correct filename handling during include
  pass complete path to parser/scanner (for debugger)
* Mon Mar 05 2001 - kkaempf@suse.de
- package rename: y2wfm -> yast2-core-wfm
* Fri Jan 26 2001 - arvin@suse.de
- package split y2wfm / y2wfm-devel
- install C++ includes in /usr/include/YaST2
* Thu Dec 07 2000 - kkaempf@suse.de
- correctly save/restore debug information to keep logs correct
  save/restore textdomain around CallFunction() and CallModule()
* Fri Dec 01 2000 - kkaempf@suse.de
- enhance error reporting
* Mon Nov 27 2000 - kkaempf@suse.de
- allow include of local files
* Fri Nov 24 2000 - kkaempf@suse.de
- fix include and textdomain
* Fri Nov 17 2000 - kkaempf@suse.de
- fix argument checking for Shell()
* Wed Nov 15 2000 - kkaempf@suse.de
- separate library and plugin
* Thu Nov 09 2000 - kkaempf@suse.de
- static plugin only
* Thu Oct 26 2000 - kkaempf@suse.de
- Group set
* Thu Oct 19 2000 - kkaempf@suse.de
- adapt to rewritten scope handling
  version 2.1.2
* Tue Oct 17 2000 - kkaempf@suse.de
- unload scr and pkginfo
  adapt to scope handling in basic interpreter
  version 2.1.1
* Mon Oct 16 2000 - kkaempf@suse.de
- version 2.1.0, general yast2 version bump
* Mon Jun 19 2000 - schwab@suse.de
- Add %%suse_update_config.
* Fri Jun 09 2000 - kkaempf@suse.de
- new builtin "Include()"
  version 2.0.2
* Thu May 18 2000 - kkaempf@suse.de
- install in .../plugin
  bump version to 2.0.1
* Fri May 12 2000 - kkaempf@suse.de
- patches for automake/libtool (IA64)
* Thu May 11 2000 - kkaempf@suse.de
- update automake
* Wed Apr 26 2000 - kkaempf@suse.de
- Initial version based on yast2 from SuSE 6.4
